package com.lightinit.hsdataplatformresdir.entity;

import java.util.Date;

public class User {
    private Long id;

    private String userType;

    private String username;

    private String password;

    private String salt;

    private String phone;

    private String email;

    private String authState;

    private Long authBy;

    private Date authAt;

    private String authResult;

    private String authOpinion;

    private Byte isAuth;

    private Byte isLcokedOut;

    private Byte isBuildin;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType == null ? null : userType.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt == null ? null : salt.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState == null ? null : authState.trim();
    }

    public Long getAuthBy() {
        return authBy;
    }

    public void setAuthBy(Long authBy) {
        this.authBy = authBy;
    }

    public Date getAuthAt() {
        return authAt;
    }

    public void setAuthAt(Date authAt) {
        this.authAt = authAt;
    }

    public String getAuthResult() {
        return authResult;
    }

    public void setAuthResult(String authResult) {
        this.authResult = authResult == null ? null : authResult.trim();
    }

    public String getAuthOpinion() {
        return authOpinion;
    }

    public void setAuthOpinion(String authOpinion) {
        this.authOpinion = authOpinion == null ? null : authOpinion.trim();
    }

    public Byte getIsAuth() {
        return isAuth;
    }

    public void setIsAuth(Byte isAuth) {
        this.isAuth = isAuth;
    }

    public Byte getIsLcokedOut() {
        return isLcokedOut;
    }

    public void setIsLcokedOut(Byte isLcokedOut) {
        this.isLcokedOut = isLcokedOut;
    }

    public Byte getIsBuildin() {
        return isBuildin;
    }

    public void setIsBuildin(Byte isBuildin) {
        this.isBuildin = isBuildin;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}